### Signal

# Pos Completer::commit-string

#### Declaration

    void
    commit_string (
      PosCompleter* self,
      gchar* string,
      gint before,
      gint after,
      gpointer user_data
    )

#### Description [src]

The completer wants the given text to be committed as is. This can happen when the completer encounters a word separating character (e.g. space). `preedit` will be set to empty in this case.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`string`

  Type: `gchar*`

  The commit string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`before`

  Type: `gint`

  Number of bytes to delete before the cursor.

`after`

  Type: `gint`

  Number of bytes to delete after the cursor.